Ask Your Question
0

Getting error while installing razor client

asked 2013-10-18 06:58:48 -0500

srikanth gravatar image

[root@puppet src]# puppet resource package razor-client provider=gem ensure=latest Error: /Package[razor-client]: Provider gem is not functional on this host Error: Could not run: Provider gem is not functional on this host

Please suggest how to make razor client installed and functional. I am working on bare-metal provisioning by puppet-razor.

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2013-10-23 15:27:11 -0500

Hi. So, that is actually a puppet error, not a Razor error. We depend on the gem provider which, at heart, requires rubygems be installed on the machine. Beyond that summary, though, I don't know the specific requirements to make it work on your platform.

This is a generic error, though, rather than a Razor specific failure; any Puppet module that tried to manage gems would hit the same issue.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2013-10-18 06:58:48 -0500

Seen: 140 times

Last updated: Oct 23 '13